---
layout: default
title: GitLab Learn
description: "Learn new skills while working with GitLab. Our easy-to-use learning platform provides instructions and feedback throughout your journey."
canonical_path: "/learn/"
image_title: '/images/learn/shared/gitlab-learn-graphic-01.png'
twitter_creator: "@gitlab"
twitter_site: "@gitlab"
twitter_image_alt: "GitLab Education and Training Resources"
twitter_image: "/images/learn/shared/gitlab-learn-graphic-01.png"
suppress_header: true
extra_css:
  - gitlab-learn.css
  - community.css
  - bl-modal.css
  - solutions2020.css
  - video-carousel.css
extra_js:
  - libs/slick.min.js
  - video-carousel.js
---

.container.slp-container.header-content
  %h1
    GitLab Learn
  %h4
    Learn new skills while working with GitLab. Our easy-to-use learning platform provides instructions and feedback throughout your journey.

.container.slp-container.header-image
  %img{src: "/images/learn/shared/gitlab-learn-graphic-01.png", alt: "Image: GitLab Learn", loading: "lazy"}

.container.slp-container.solutions-blocks
  .solutions-block.solution-1
    %h2.title
      Continuous Integration
    .subtitle
      Build, test, and deploy on day one with GitLab
    .description
      Outstanding source code exists. For teams and projects big and small, the proof is in the pipeline.
    %a.btn.cta-btn.orange-light{:href => '/learn/topics/continuous-integration'} Get Started
  
  .solutions-block.image.image-1
    %img{src: "/images/learn/shared/gitlab-pov.png", alt: "GitLab POV", loading: "lazy"}
  
  .solutions-block.image.image-2
    %img{src: "/images/learn/shared/gitlab-home-office.png", alt: "GitLab Home Office", loading: "lazy"}
  
  .solutions-block.solution-2
    %h2.title
      Continuous Delivery
    .subtitle
      Learn to streamline and automate the application release process 
    .description
      Continuous delivery (CD) puts your hard work into action, handing off CI-validated code to your application via structured deployment pipelines.
    %a.btn.cta-btn.orange-light{:href => '/learn/topics/continuous-delivery'} Learn More

  .solutions-block.solution-1
    %h2.title
      Security
    .subtitle
      Security capabilities, integrated into your development lifecycle
    .description
      Learn to integrate security into your DevOps lifecycle with GitLab
    %a.btn.cta-btn.orange-light{:href => '/learn/topics/security'} Learn Now
  
  .solutions-block.image.image-1
    %img{src: "/images/learn/shared/gitlab-beach-coffee-shop.png", alt: "GitLab Beach Coffee Shop", loading: "lazy"}

  .solutions-block.image.image-2
    %img{src: "/images/learn/shared/gitlab-home-office.png", alt: "GitLab Home Office", loading: "lazy"}
  
  .solutions-block.solution-2
    %h2.title
      Agile Project Management
    .subtitle
      Run high-performing Agile teams with GitLab.
    .description
      Plan and manage your projects, programs, and products with integrated Agile support.
    %a.btn.cta-btn.orange-light{:href => '/learn/topics/agile-management'} See More 

  .solutions-block.solution-1
    %h2.title
      All-Remote
    .subtitle
      How one of the world's largest all-remote companies manages teams and workflows
    .description
      Get tried and tested tactics for building remote fluency in your organization.
    %a.btn.cta-btn.orange-light{:href => 'https://gitlab.edcast.com/channel/remote-foundations'} Learn More
  
  .solutions-block.image.image-1
    %img{src: "/images/learn/shared/gitlab-beach-coffee-shop.png", alt: "GitLab Beach Coffee Shop", loading: "lazy"}

.wrapper.all-remote-landing
  .all-remote-quick-links
    .container
      .row
        .col-md-12
          .all-remote-quick-links-intro.text-center
            %h2 GitLab Training & Resources Guide

      .row.row-quick-links-wrap
        .col-md-2
          %h4 Self-Paced Certifications
          %ul
            %li
              = link_to "GitLab 101", "https://gitlab.edcast.com/pathways/ECL-e819df42-4553-4960-b845-53e9a1e16685"
            %li
              = link_to "GitLab 201", "https://gitlab.edcast.com/pathways/ECL-44010cf6-7a9c-4b9b-b684-fa08508a3252"
            %li
              = link_to "Remote Foundations Badge", "https://gitlab.edcast.com/pathways/ECL-4d9840ae-0c56-4645-ad7b-452029b1e5bc"
            %li
              = link_to "DIB Certification", "https://gitlab.edcast.com/journey/ECL-5c978980-c9f0-4479-bf44-45d44fc56d05"
            %li
              = link_to "Bias towards Async Communication", "https://gitlab.edcast.com/pathways/ECL-d28057c0-d024-41b0-a89d-9e4d5a024932"
            %li
              = link_to "GitLab Certified Associate", "https://gitlab.edcast.com/pathways/cy-test-pathway-associate-study-exam"
            %li
              = link_to "GitLab Certified CI/CD Specialist", "https://gitlab.edcast.com/pathways/gitlab-certified-ci-cd-specialist-pathway"
            %li
              = link_to "Being an Ally", "https://gitlab.edcast.com/pathways/ECL-0a76eae4-ed50-4882-b49d-5c0159aee1b0"
            %li
              = link_to "Effective Communication", "https://gitlab.edcast.com/pathways/ECL-b01718a2-192c-4e0c-9852-31115b1e054f"
            %li
              = link_to "GitLab Values", "https://gitlab.edcast.com/pathways/ECL-19a443fa-73d2-4084-92a3-4ad84fd57989"
        .col-md-2
          %h4 Workshops
          %ul
            %li
              = link_to "Advanced GitLab CI", "https://gitlab.edcast.com/insights/gitlab-learn-lab#"
            %li
              = link_to "Advanced GitLab CD", "https://gitlab.edcast.com/insights/gitlab-learn-lab#"
            %li
              = link_to "Advanced GitLab Security", "https://gitlab.edcast.com/insights/gitlab-learn-lab#"
            %li
              = link_to "Rails Performance Workshop", "https://drive.google.com/drive/u/7/folders/0ACCfBKgYFjLvUk9PVA"
            %li
              = link_to "Calendar Blocking Workshop", "https://gitlab.com/gitlab-org/quality/team-tasks/-/issues/441"
        .col-md-2
          %h4 Professional Services
          %ul
            %li
              = link_to "GitLab Certified Associate", "https://about.gitlab.com/handbook/customer-success/professional-services-engineering/gitlab-technical-certifications/#gitlab-certified-associate"
            %li
              = link_to "GitLab Certified CI/CD Specialist", "https://about.gitlab.com/handbook/customer-success/professional-services-engineering/gitlab-technical-certifications/#gitlab-certified-cicd-specialist"
            %li
              = link_to "GitLab Certified InnerSourcing Specialist", "https://about.gitlab.com/handbook/customer-success/professional-services-engineering/gitlab-technical-certifications/#gitlab-certified-innersourcing-specialist"
            %li
              = link_to "GitLab Certified Project Management Specialist", "https://about.gitlab.com/handbook/customer-success/professional-services-engineering/gitlab-technical-certifications/#gitlab-certified-project-management-specialist"
            %li
              = link_to "GitLab Certified Security Specialist", "https://about.gitlab.com/handbook/customer-success/professional-services-engineering/gitlab-technical-certifications/#gitlab-certified-security-specialist"
            %li
              = link_to "GitLab Certified DevOps Professional", "https://about.gitlab.com/handbook/customer-success/professional-services-engineering/gitlab-technical-certifications/#gitlab-certified-devops-professional"
        .col-md-2
          %h4 Instructor-Led Trainings
          %ul
            %li
              = link_to "GitLab with Git Basics Training", "https://about.gitlab.com/services/education/gitlab-basics/"
            %li
              = link_to "GitLab CI/CD Training", "https://about.gitlab.com/services/education/gitlab-ci/"
            %li
              = link_to "GitLab for Project Managers", "https://about.gitlab.com/services/education/pm/"
            %li
              = link_to "GitLab System Administration Basic Training", "https://about.gitlab.com/services/education/admin/"
            %li
              = link_to "GitLab Advanced System Administration Training", "https://about.gitlab.com/services/education/adv-admin/"
            %li
              = link_to "GitLab DevOps Fundamentals", "https://about.gitlab.com/services/education/devops-fundamentals/"
            %li
              = link_to "GitLab Security Essentials", "https://about.gitlab.com/services/education/security-essentials/"
            %li
              = link_to "GitLab InnerSourcing Training", "https://about.gitlab.com/services/education/innersourcing-course/"
        .col-md-2
          %h4 Enablement
          %ul
            %li
              = link_to "Sales Training Handbook", "https://about.gitlab.com/handbook/sales/training/"
            %li
              = link_to "Sales Quick Start", "https://about.gitlab.com/handbook/sales/onboarding/sales-learning-path/"
            %li
              = link_to "Sales Enablement Sessions", "https://about.gitlab.com/handbook/sales/training/sales-enablement-sessions/"
            %li
              = link_to "Sales Kick Off (SKO)", "https://about.gitlab.com/handbook/sales/training/SKO/"            
            %li
              = link_to "Customer Success Skills Exchange", "https://about.gitlab.com/handbook/sales/training/customer-success-skills-exchange/"
            %li
              = link_to "Customer Success GitLab Demos platform & catalog", "https://gitlabdemo.com/"
        .col-md-2
          %h4 Additional GitLab training resources
          %ul
            %li
              = link_to "GitLab Training Tracks", "https://about.gitlab.com/training/"
            %li
              = link_to "A beginners guide to CI", "https://learn.gitlab.com/c/a-beginner-s-guide-t?x=GVkN_U&lb_referrer=https://about.gitlab.com/stages-devops-lifecycle/continuous-integration/"
            %li
              = link_to "UX Research Training", "https://gitlab.com/gitlab-com/people-group/learning-development/general/-/blob/master/handbook/engineering/ux/ux-research-training"
            %li
              = link_to "UX Designers Guide to Contributing to UI Changes", "https://gitlab.com/gitlab-com/people-group/learning-development/general/-/blob/master/handbook/engineering/ux/ux-resources/designers-guide-to-contributing-ui-changes-in-gitlab"            
            %li
              = link_to "Iteration Training", "https://gitlab.com/gitlab-com/Product/-/blob/master/.gitlab/issue_templates/iteration-training.md"
                
  .featured-remote-posts
    .featured-remote-posts-content
      .featured-remote-posts-grid
        // = partial "includes/recent-posts"
        // Hard coding in high-performing content for now
        .container
          %h2.u-margin-bottom-md.text-center GitLab tech tips, tricks and insights on the GitLab blog
          .grid-layout.grid-layout3
            %a.tile-resource.grid-item{:href => "https://about.gitlab.com/blog/2021/01/22/cd-automated-integrated/"}
              .tile-background-container{:style => "background-image: url('/images/all-remote/featured-content/world-remote.jpg');"}
              .tile-info
                %h4.tile-title GitLab’s automated and integrated continuous delivery
                %p.tile-subtitle by Cesar Saavedra
                // %p.tile-description Organizations adopting DevOps best practices to software delivery spend time and effort designing, building, testing, integrating, and maintaining CI/CD pipelines for their different projects
                %p.tile-link
                  Learn more
                  %i.fas.fa-arrow-right
            %a.tile-resource.grid-item{:href => "/blog/2021/02/18/crucial-conversations/"}
              .tile-background-container{:style => "background-image: url('/images/all-remote/featured-content/remote-desk.jpg');"}
              .tile-info
                %h4.tile-title Having crucial conversations on an all-remote team
                %p.tile-subtitle by Samantha Lee
                // %p.tile-description Crucial conversations can occur any day, at any time, with any person.
                %p.tile-link
                  Learn more
                  %i.fas.fa-arrow-right
            %a.tile-resource.grid-item{:href => "https://about.gitlab.com/blog/2021/03/25/integrating-gitlab-com-with-atlassian-jira-cloud/"}
              .tile-background-container{:style => "background-image: url('/images/all-remote/featured-content/remote-desktop-computer.png');"}
              .tile-info
                %h4.tile-title How to integrate GitLab.com with Jira Cloud
                %p.tile-subtitle by Tye Davis
                //%p.tile-description By using the GitLab for Jira app in the Atlassian Marketplace, you can integrate GitLab.com and Jira Cloud harmoniously.
                %p.tile-link
                  Learn more
                  %i.fas.fa-arrow-right

      .text-center
        %a.btn.cta-btn.orange.margin-top20{:href => "/blog/"}
          Read more from our blog


  .container.margin-bottom40
    .row
      %h2.u-margin-bottom-sm.text-center
        GitLab Learn Videos
      .video-slider
        - data.video_carousel.each do |video|
          -if video.carousel_identifier.include?("GitLab Learn Carousel 1")
            = partial "includes/components/video-carousel/video-item.html.haml", locals: {name: video.name, title: video.title, company: video.company, photourl: video.photourl, videolink: video.video_link}

      - data.video_carousel.each do |video|
        -if video.carousel_identifier.include?("GitLab Learn Carousel 1")
          = partial "includes/components/video-carousel/video-carousel-modal.html.haml", locals: {videolink: video.video_link, title: video.title, photourl: video.photourl}


  .all-remote-connect-block#remote-newsletter-block
    .all-remote-connect-block-content
      .container
        .row
          .col-md-6
            .all-remote-newsletter-block
              %h3 Sign up for GitLab’s twice-monthly newsletter
              %p Do you want more remote (and less office) in your life? Sign-up for a biweekly dose of tips, tricks and new remote opportunities.
              %script{src: "//page.gitlab.com/js/forms2/js/forms2.min.js"}
              %form#mktoForm_1077
              :javascript
                MktoForms2.setOptions(
                {
                  formXDPath : "/rs/194-VVC-221/images/marketo-xdframe-relative.html"
                });
                MktoForms2.loadForm("//page.gitlab.com", "194-VVC-221", 1077, function(form) {
                  form.onSuccess(function(values, followUpUrl) {
                    dataLayer.push({
                      'event' : 'mktoLead', 
                      'mktoFormId' : form.getId(),
                      'eventCallback' : function()
                      {
                        form.getFormElem().hide();
                        document.getElementById('confirmformnewlsetter').style.visibility = 'visible';
                      }, 'eventTimeout' : 3000
                    });
                    return false;
                  });
                  function getgacid() {
                    try {
                      var tracker = ga.getAll()[0];
                      return tracker.get('clientId');
                    } catch (e) {
                      return 'n/a';
                    }
                  }
                  form.vals({
                    'gacid': getgacid()
                  });
                });
              #confirmformnewlsetter{style: "visibility:hidden;"}
                %p.thanks-subscribing
                  Thanks for subscribing!
                  %a{href: "https://www.twitter.com/gitlab", target: "_blank"}
                    Follow us on twitter
                  for even more updates!
          .col-md-6
            .all-remote-social-block
              %h3 Follow Us On:
              %ul
                %li
                  = link_to('https://www.youtube.com/playlist?list=PL05JrBw4t0Kq7QUX-Ux5fOunQotqJbECc') do
                    = image_tag "/images/all-remote/icon-youtube.svg", alt: "Follow Us On YouTube"
                    %span.sr-only YouTube
                %li
                  = link_to('https://www.facebook.com/gitlab') do
                    = image_tag "/images/all-remote/icon-facebook.svg", alt: "Follow Us On Facebook"
                    %span.sr-only Facebook
                %li
                  = link_to('https://www.linkedin.com/company/gitlab-com') do
                    = image_tag "/images/all-remote/icon-linkedin.svg", alt: "Follow Us On LinkedIn"
                    %span.sr-only LinkedIn
                %li
                  = link_to('https://twitter.com/gitlab') do
                    = image_tag "/images/all-remote/icon-twitter.svg", alt: "Follow Us On Twitter"
                    %span.sr-only Twitter

            .all-remote-join-block
              %h3 Careers at GitLab
              = link_to "/jobs/", class: "btn btn-outlined cta-btn margin-top20" do
                Apply to our open roles

  .bl-modal#form-for-playbook
    %span.bl-modal-close
    .bl-modal-content
      %h4.text-center
        Enroll in a GitLab Certification Course Now
      %script{src: "//page.gitlab.com/js/forms2/js/forms2.min.js"}
      - localvar_form_id = '2430'
      - localvar_form_type = 'resources'
      %form{id: "mktoForm_#{localvar_form_id}"}
      :javascript
        MktoForms2.setOptions(
        {
          formXDPath : "/rs/194-VVC-221/images/marketo-xdframe-relative.html"
        });
        MktoForms2.loadForm("//page.gitlab.com", "194-VVC-221", #{localvar_form_id}, function(form)
        {
          form.onSuccess(function()
          {
            dataLayer.push({
              'event' : '#{localvar_form_type}', 
              'mktoFormId' : form.getId(),
              'eventCallback' : function() {
                document.location.href = 'https://gitlab.edcast.com/';
              },
              'eventTimeout' : 3000
            });
            return false;
          });
        });

  <script src="/javascripts/bl-modal.js" type="text/javascript" data-cookieconsent="ignore"></script>
  %script{type: "text/javascript", "data-cookieconsent": "ignore"}
    :plain
      blOpenModal('.form-lightbox-open', '#form-for-playbook');

  :javascript
    (function() {
      var trialDismissed = false
      document.getElementById("dismiss-trial").addEventListener("click", dismissTrial)
      function dismissTrial() {
        document.getElementById('sticky-banner').style.display = "none";
      }
    })();


= partial "includes/free-trial-banner"
